
#ifndef LINEREADER_H
#define LINEREADER_H

/*
 * @(#)LineReader.h
 *
 * This file is part of webCDwriter - Network CD/DVD Writing.
 *
 * Copyright (C) 2001-2008 Jrg P. M. Haeger
 *
 * webCDwriter is free software. See CDWserver.cpp for details.
 */

const int bufSize = 4 * 1024;
const int lineSize = 4 * 1024;

class LineReader {
	int cursor, eob, eof, eol, fd;
	char buf[bufSize], line[lineSize];
public:
	LineReader(int fd);
	virtual int available();
	virtual const char *next(int timeout = 0);
private:
	void read();
};

#endif
