#ifndef VERSION_H
#define VERSION_H

/*
 * @(#)Version.h
 *
 * This file is part of webCDwriter - Network CD/DVD Writing.
 *
 * Copyright (C) 2002-2008 Jrg P. M. Haeger
 *
 * webCDwriter is free software. See CDWserver.cpp for details.
 */

const char
	author[] = "Jrg P. M. Haeger",
	authorHome[] = "http://JoergHaeger.de/jhaeger/",
	cdrdaoHome[] = "http://cdrdao.sourceforge.net",
	cdrecordHome[] = "http://freshmeat.net/projects/cdrecord/",
	cdrkitHome[] = "http://www.cdrkit.org",
	copyright[] = "Copyright (C) 1999-2008",
	eMail[] = "webCDwriter@JoergHaeger.de",
	growisofsHome[] = "http://fy.chalmers.se/~appro/linux/DVD+RW/",
	ID[] = "x12345678x",
	mkisofsHome[] = "http://freshmeat.net/projects/mkisofs/",
	mpg123Home[] = "http://www.mpg123.de",
	ogg123Home[] = "http://www.xiph.org",
	product[] = "CDWserver",
	productPro[] = "",
	project[] = "webCDwriter",
	projectHome[] = "http://JoergHaeger.de/webCDwriter/",
	soxHome[] = "http://sox.sourceforge.net",
	subTitle[] = "Network CD/DVD Writing",
	version[] = "2.8.2";

class Version {
public:
	static const char
		*const author,
		*const authorHome,
		*const cdrdaoHome,
		*const cdrecordHome,
		*const cdrkitHome,
		*const copyright,
		*const eMail,
		*const growisofsHome,
		*const ID,
		*const mkisofsHome,
		*const mpg123Home,
		*const ogg123Home,
		*const product,
		*const productPro,
		*const project,
		*const projectHome,
		*const soxHome,
		*const subTitle,
		*const version;
};

extern class Version Version;

#endif
