/*
 * @(#)CloseSession.java
 *
 * This file is part of webCDwriter - Network CD/DVD Writing.
 *
 * Copyright (C) 2000-2006 Jrg P. M. Haeger
 *
 * webCDwriter is free software. See CDcreator.java for details.
 */

import javax.swing.*;

/**
 * Run the "closeSession" command.
 *
 * @version 20060222
 * @author Jrg P. M. Haeger
 */
public class CloseSession extends Command {
	int getDialogDelay() {
		return 2000;
	}

	public void run() {
		JComponent pane = new JOptionPane(
			i18n("closeSession"),
			JOptionPane.INFORMATION_MESSAGE,
			JOptionPane.DEFAULT_OPTION,
			null, cancelOption);
		showCentered(pane, i18n("titleCloseSession"));

		execCommand("closeSession");

		super.run();
	}
}
